%define oname		granite

%define gmajor		7.0
%define api		7
%define libmajor	7
%define libname		%mklibname %{oname} %{api} %{libmajor}
%define girgranitename	%mklibname %{oname}-gir %{gmajor}
%define develname	%mklibname %{oname} %{api} -d

Name:		granite7
Summary:	elementary companion library for GTK+ and GLib
Version:	7.6.0
Release:	%mkrel 2
License:	LGPLv3+
Group:		System/Libraries
URL:		https://github.com/elementary/granite
Source0:	https://github.com/elementary/granite/archive/%{version}/granite-%{version}.tar.gz
Patch0:		granite-7.3.0-fix-icons-install.patch

BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	sassc
BuildRequires:	vala >= 0.40

BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0) >= 2.50
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.50
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.50
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

# granite provides and needs some generic icons
Requires:	hicolor-icon-theme

%description
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{libname}
Summary:	elementary companion library for GTK+ and GLib
Group:		System/Libraries
Obsoletes:	%{_lib}granite7 < 7.0.0-2

%description -n	%{libname}
Granite is a companion library for GTK+ and GLib. Among other things, it
provides complex widgets and convenience functions designed for use in
apps built for elementary.

#------------------------------------------------

%package -n	%{girgranitename}
Summary:	GObject Introspection interface description for Granite
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girgranitename}
GObject Introspection interface description for Granite.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girgranitename} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n granite-%{version} -p1

# fix gir library dependency
sed -i "s|@PLAINNAME@|lib%{oname}-%{api}.so.%{libmajor}|" lib/meson.build

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{oname}-%{api}

%files -f %{oname}-%{api}.lang
%doc README.md
%license COPYING
%{_bindir}/%{oname}-%{api}-demo
%{_datadir}/applications/io.elementary.%{oname}-%{api}.demo.desktop
%{_datadir}/themes/Granite/
%{_iconsdir}/hicolor/*/apps/io.elementary.%{oname}-%{api}.svg
%{_metainfodir}/%{oname}-%{api}.metainfo.xml

%files -n %{libname}
%doc README.md
%{_libdir}/lib%{oname}-%{api}.so.%{libmajor}{,.*}

%files -n %{girgranitename}
%doc README.md
%{_libdir}/girepository-1.0/Granite-%{gmajor}.typelib

%files -n %{develname}
%doc README.md
%{_includedir}/%{oname}-%{api}/
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_datadir}/gir-1.0/Granite-%{gmajor}.gir
%{_datadir}/vala/vapi/granite-%{api}.{deps,vapi}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 7.6.0-2.mga10
+ Revision: 2235529
- Mageia 10 Mass Rebuild

* Tue Feb 04 2025 daviddavid <daviddavid> 7.6.0-1.mga10
+ Revision: 2145138
- new version 7.6.0

* Thu May 23 2024 daviddavid <daviddavid> 7.5.0-1.mga10
+ Revision: 2066270
- new version: 7.5.0

* Thu Dec 07 2023 daviddavid <daviddavid> 7.4.0-1.mga10
+ Revision: 2014833
- new version: 7.4.0

* Tue Sep 19 2023 daviddavid <daviddavid> 7.3.0-1.mga10
+ Revision: 1988030
- new version: 7.3.0

* Thu Jan 12 2023 daviddavid <daviddavid> 7.1.0-1.mga9
+ Revision: 1932638
- new version: 7.1.0

* Sun Sep 04 2022 wally <wally> 7.0.0-4.mga9
+ Revision: 1883865
- fix gir pkg lib deps

* Sun Sep 04 2022 wally <wally> 7.0.0-3.mga9
+ Revision: 1883861
- drop temporary obsoletes

* Sun Sep 04 2022 wally <wally> 7.0.0-2.mga9
+ Revision: 1883855
- fork as granite7
- temporary obsolete granite pkgs to get them removed from the mirrors

* Sun Sep 04 2022 papoteur <papoteur> 7.0.0-1.mga9
+ Revision: 1883819
- new version 7.0.0

* Wed Mar 30 2022 umeabot <umeabot> 6.0.0-2.mga9
+ Revision: 1835521
- Mageia 9 Mass Rebuild

* Thu Mar 25 2021 daviddavid <daviddavid> 6.0.0-1.mga9
+ Revision: 1710120
- new version: 6.0.0
- now libmajor is 6

* Sat Jul 04 2020 daviddavid <daviddavid> 5.5.0-1.mga8
+ Revision: 1601802
- new version: 5.5.0

* Fri May 01 2020 daviddavid <daviddavid> 5.4.0-1.mga8
+ Revision: 1577470
- new version: 5.4.0

* Thu Apr 02 2020 daviddavid <daviddavid> 5.3.1-1.mga8
+ Revision: 1564052
- new version: 5.3.1

* Tue Feb 18 2020 umeabot <umeabot> 5.3.0-2.mga8
+ Revision: 1540761
- Mageia 8 Mass Rebuild

* Mon Dec 16 2019 daviddavid <daviddavid> 5.3.0-1.mga8
+ Revision: 1468172
- new version: 5.3.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.2.5-2.mga8
+ Revision: 1441101
- fix again gir library dependency

* Fri Sep 06 2019 daviddavid <daviddavid> 5.2.5-1.mga8
+ Revision: 1437996
- new version: 5.2.5

* Mon Jul 08 2019 daviddavid <daviddavid> 5.2.4-1.mga8
+ Revision: 1419447
- new version: 5.2.4

* Wed Apr 17 2019 umeabot <umeabot> 5.2.3-3.mga7
+ Revision: 1392603
- Rebuild with meson 0.50.1

* Mon Feb 18 2019 daviddavid <daviddavid> 5.2.3-2.mga7
+ Revision: 1368260
- fix gir library dependency

* Fri Feb 15 2019 daviddavid <daviddavid> 5.2.3-1.mga7
+ Revision: 1367353
- new version: 5.2.3
- switch to meson build system

* Tue Dec 18 2018 daviddavid <daviddavid> 5.2.2-1.mga7
+ Revision: 1342565
- new version: 5.2.2

* Thu Nov 08 2018 daviddavid <daviddavid> 5.2.1-1.mga7
+ Revision: 1328930
- new version: 5.2.1

* Fri Nov 02 2018 daviddavid <daviddavid> 5.2.0-1.mga7
+ Revision: 1327735
- new version: 5.2.0

* Fri Sep 07 2018 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1257618
- initial package granite

